﻿Public Class clsDrawingObjectFE

    Inherits clsDrawingObject

    Public Sub New(Owner As clsDrawingPanel)
        MyBase.New(Owner)
    End Sub

    Protected Overloads Overrides Sub Paint(G As System.Drawing.Graphics)
        If G Is Nothing Then Exit Sub
        Using P As New Pen(Brushes.Black, 1)
            If Me.isHovered Then
                G.FillEllipse(Brushes.OrangeRed, Me.Bounce)
            ElseIf Me.isSelected Then
                G.FillEllipse(Brushes.YellowGreen, Me.Bounce)
            End If
            G.DrawEllipse(P, Me.Bounce)
            G.DrawString(IIf(Me.isSelected, "S ", "").ToString & IIf(Me.isHovered, "H", "").ToString, Owner.Font, Brushes.Black, Me.Location.X + Me.Bounce.Width * 2, Me.Location.Y)
        End Using
    End Sub

End Class
