﻿'<Serializable()> _
Public MustInherit Class clsDrawingObject

    Protected MustOverride Sub Paint(ByVal G As Graphics)

    Private m_isSelected As Boolean
    Public Property isSelected() As Boolean
        Get
            Return m_isSelected
        End Get
        Set(ByVal value As Boolean)
            m_isSelected = value
        End Set
    End Property

    Private m_isHovered As Boolean
    Public Property isHovered() As Boolean
        Get
            Return m_isHovered
        End Get
        Set(ByVal value As Boolean)
            m_isHovered = value
        End Set
    End Property

    Private m_Owner As clsDrawingPanel
    Public Property Owner() As clsDrawingPanel
        Get
            Return m_Owner
        End Get
        Set(ByVal value As clsDrawingPanel)
            m_Owner = value
        End Set
    End Property

    Private m_Bounce As Rectangle
    Public Property Bounce() As Rectangle
        Get
            Return m_Bounce
        End Get
        Set(ByVal value As Rectangle)
            m_Bounce = value
        End Set
    End Property

    Private m_Location As Point
    Public Property Location() As Point
        Get
            Return m_Location
        End Get
        Set(ByVal value As Point)
            m_Location = value
            m_Bounce = New Rectangle(value, m_Bounce.Size)
        End Set
    End Property

    Private m_OldLocation As Point
    Public Property OldLocation() As Point
        Get
            Return m_OldLocation
        End Get
        Set(ByVal value As Point)
            m_OldLocation = value
            m_Bounce = New Rectangle(value, m_Bounce.Size)
        End Set
    End Property

    Private m_Connection As Rectangle
    Public Property Connection() As Rectangle
        Get
            Return m_Connection
        End Get
        Set(ByVal value As Rectangle)
            m_Connection = value
        End Set
    End Property


    Public Sub New(Owner As clsDrawingPanel)
        m_Owner = Owner
    End Sub

    Public Sub Paint(ByVal e As System.Windows.Forms.PaintEventArgs)
        If Not Bounce.IntersectsWith(e.ClipRectangle) Then Return
        Paint(e.Graphics)
    End Sub

End Class
